(function(ns) {
    var _earth = null,
        _dataProcess = null,
        _seTrackMgr = null,
        _roleId = null;


    //main
    function _initRoam2(earth, dataProcess) {
        _earth = earth;
        _dataProcess = dataProcess

        _seTrackMgr = new ns.STAMP.SeTrackManager({
            earth: _earth,
            dataProcess: _dataProcess
        });

        _addEventListeners();
    }

    function _destroyRoam2() {
        
    }

    function _addEventListeners() {
        $('#roamPanel2').find('#enter').bind('click', function(e) {
            try {
                _seTrackMgr.getDynamicObject({
                    onDynamicListLoaded: function(roles) {
                        for (var i = 0; i < roles.Count; i++) {
                            var dynamic = roles.Items(i);
                            var type = dynamic.Type;
                            if ((type == "DynamicObject") || (type == "DynamicPeople")){
                                _roleId = dynamic.Guid
                                _seTrackMgr.enter({
                                    dynamicId: _roleId,
                                    heading: 180,
                                    tilt: 15,
                                    type: 2
                                });
                                break;
                            }
                        }
                    }
                });
                
            } catch (e) {

            }
        });

        $('#roamPanel2').find('#out').bind('click', function(e) {
            try {
                _seTrackMgr.out({
                    dynamicId: _roleId
                });
            } catch (e) {

            }
        });
    }


    if (!ns.STAMP.initer) {
        ns.STAMP.initer = {};
    }
    ns.STAMP.initer.initRoam2 = _initRoam2;
    ns.STAMP.initer.destroyRoam2 = _destroyRoam2;
})(window);
